js_nonmatch(3)

NAME
js_nonmatch - search for anything besides a literal character in exp in the string js

SYNOPSIS
#include JsStr.h

int js_nonmatch(js_string *exp, js_string *js)

DESCRIPTION
js_nonmatch searches for any single character that is not in the expressio exp in the string js.

The expression exp is treated as a list of characters we do not look for in the string js. No characters are considered metacharacters in the expression exp.

RETURN VALUE
js_match returns -2 if all of the characters in the string js were found in the string exp, the offset of the first found character if the a character not in exp was found (0 if it was found at the top of the string, 1 if it was found starting at the second character in the string, etc), and JS_ERROR if there was an error when searching for a character in the expression.

EXAMPLE
The following example will find the character 1 in the string "543" in the string "1234567890":

	js_string *foo, *bar;
	foo = js_create(256,1);
	bar = js_create(256,1);
	js_str2js(foo,"1234567890",10,1);
	js_str2js(bar,"543",3,1);
	printf("%d\n",js_match(bar,foo)); /* You will see 2 */

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>